KDE 4.9 PyKDE API Reference

- KDE's Python API

# AndTerm Class Reference

`from PyKDE4.nepomuk import *`

Inherits: Nepomuk.Query.GroupTerm → Nepomuk.Query.Term
Namespace: Nepomuk.Query

## Detailed Description

\class AndTerm andterm.h Nepomuk/Query/AndTerm

Match resource that match all sub terms.

This class - like OrTerm - is derived from GroupTerm which handles the sub terms.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods

| __init__ (self)
| __init__ (self, Nepomuk.Query.AndTerm term)
| __init__ (self, Nepomuk.Query.Term term1, Nepomuk.Query.Term term2, Nepomuk.Query.Term term3=Nepomuk.Query.Term(), Nepomuk.Query.Term term4=Nepomuk.Query.Term(), Nepomuk.Query.Term term5=Nepomuk.Query.Term(), Nepomuk.Query.Term term6=Nepomuk.Query.Term())
| __init__ (self, [Nepomuk.Query.Term] terms)

## Method Documentation

__init__ | ( |  | self ) |

Default constructor: creates an invalid and-term.

__init__ | ( | self, |
|  | Nepomuk.Query.AndTerm | term
| ) |  |  |

Copy constructor.

__init__ | ( | self, |
|  | Nepomuk.Query.Term | term1,
|  | Nepomuk.Query.Term | term2,
|  | Nepomuk.Query.Term | term3=Nepomuk.Query.Term(),
|  | Nepomuk.Query.Term | term4=Nepomuk.Query.Term(),
|  | Nepomuk.Query.Term | term5=Nepomuk.Query.Term(),
|  | Nepomuk.Query.Term | term6=Nepomuk.Query.Term()
| ) |  |  |

Convinience constructor which allows to combine several terms in one line.

__init__ | ( | self, |
|  | [Nepomuk.Query.Term] | terms
| ) |  |  |

Combine terms into one and-term.